/* -------------------------- Generic Styles -------------------------- */
*,
*::before,
*::after,
*:before,
*:after
{
	box-sizing: border-box;
}


header, nav, main, footer, .breadcrumbs
{
    display: block;
}

body
{
    font-family: helvetica-neue, Verdana, Geneva, sans-serif;
    font-size: 26px;
	font-style: normal;
	font-weight: normal;
	padding: 0px;
	margin: 0px;
	color: white;
    background-color: black;
}

header,
nav,
main,
footer,
.breadcrumbs
{
    width: 100%;
}



.container
{
	max-width: 100%;
	margin: auto;
	width: 1000px;
}

.centered-text
{
    text-align: center;
}



header
{
    background-image: url('/img/header-background.jpeg');
    background-size: auto 500px;
    background-size: 100% 100%;
    background-repeat: no-repeat;
	padding: 50px;
    text-align: center;
    font-size: 30px;
}

header span
{
    font-size: 36px;
}

.header-text
{
    display: inline-block;
    padding: 26px;
}

.header-title, .header-logo
{
    height: 100px;
}



nav
{
	margin: 0px;
	padding: 0px;
    text-transform: capitalize;
    text-align: center;
    font-size: 31px;
}

nav .main-menu
{
	/* background-color: #446699; */
}

nav .navbar-outer
{
    display: flex;
    flex-direction: row;
    justify-content: stretch;
    align-content: center;
}
nav .sub-menu
{
	/* background-color: #7af; */
}

nav ul
{
    display: inline-block;
	padding: 0px;
	margin: 0px;
}

nav li
{
	display: inline-block;
	padding: 10px 15px;
	margin: 0px;
	color: white;
}

nav li:first-child
{
	border-radius: 0px;
}

nav .main-menu li:hover
{
    /* background-color: #6688bb !important; */
    text-shadow: 0px 0px 20px white !important;
}

nav .sub-menu li:hover
{
    /* background-color: #5588cc !important; */
    text-shadow: 0px 0px 20px rgba(255, 255, 255, 0.5);
}

.main-heading
{
    margin: 50px auto 10px;
}

.sub-heading
{
    margin: 10px auto 0;
    padding-bottom: 50px;
    font-size: 25px;
}

nav li,
.main-heading,
.sub-heading
{
    text-shadow:
        1px 1px 0px black,
        0px 1px 0px black,
        0px 0px 0px black,
        1px 0px 0px black,
        1px 1px 5px black,
        0px 1px 5px black,
        0px 0px 5px black,
        1px 0px 5px black;
}



main
{
    /* background-color: white; */
    margin: 15px auto !important;
    border-radius: 10px;
    text-align: left;
    padding-left: 0;
    padding-right: 0;
}



footer
{
    /* background-color: #446699; */
	font-size: 20px;
    padding-left: 0;
    padding-right: 0;
}



/* --------------------------- Main Content --------------------------- */

.clearfix
{
    overflow: auto;
}

.hr-image
{
    background-image: url('/img/border-section.jpg');
    background-size: contain;
    background-position: 20px 0px;
    border: none;
    height: 50px;
    margin: 25px auto;
}

p:first-child
{
    margin-top: 0;
}

p:last-child:not(.keep-bottom-margin)
{
    margin-bottom: 0;
}

a:link,
a:visited
{
    font-weight: bold;
    color: white;
	text-decoration: none;
}
a:hover,
a:active
{
	text-decoration: underline;
}


h1, h2, h3, h4
{
    font-family: chomsky;
    font-style: normal;
    font-weight: 700;
}

h1
{
    font-size: 60px;
    margin-top: 0px;
}

h2
{
    margin-top: 0px;
    margin-bottom: 2px;
    font-size: 52px;
}

h3
{
    margin-top: 0px;
    margin-bottom: 2px;
    font-size: 44px;
}

h4
{
    margin-top: 0px;
    margin-bottom: 2px;
    font-size: 34px;
}


.fancy-table,
.manage-table
{
    border-spacing: 7px;
    max-width: 100%;
    border-radius: 7px;
    background-color: #f7f7f7;
}

.fancy-table th,
.manage-table th,
.fancy-table td,
.manage-table td
{
    padding: 7px;
    border: 1px solid #aaaaaa;
    background-color: white;
    border-radius: 5px;
}

.fancy-table th
{
    padding-right: 15px;
}

.blue-row th { background-color: #aaeeff; }
.blue-row td { background-color: #ddffff; }
.green-row th { background-color: #99ff99; }
.green-row td { background-color: #ddffdd; }
.purple-row th { background-color: #ffccff; }
.purple-row td { background-color: #ffeeff; }

@media (max-width: 600px)
{
    table
    {
        width: 100%;
    }


    .fancy-table th,
    .manage-table th
    {
        margin-bottom: 7px;
    }
}



img
{
    max-width: 100%;
}

.img-100
{
    width: 100%;
}

.img-left,
.img-right
{
    display: block;
    width: 50%;
    margin: 0px 20px 20px 0px;
    vertical-align: top;
}

.img-left { float: left; }
.img-right { float: right; }



::selection
{
    background-color: #f7c;
    color: white;
}



.event-img-big,
.event-img-big-left
{
    float: right;
    width: 320px;
    border-radius: 7px;
    margin: 0px 0px 20px 20px;
}

.event-img-big-left
{
    float: left;
    margin: 0px 20px 20px 0px;
}

@media (max-width: 600px)
{
    .event-img-big
    {
        margin-bottom: 20px !important;
    }
}

/* ------------------------- Tablet && Mobile -------------------------- */

@media (max-width: 1040px)
{
    main,
    nav .sub-menu,
    .breadcrumbs
    {
        width: 100% !important;
        margin: 0px !important;
        border-radius: 0px !important;
    }

    header
    {
        /* height: 10vw; */
    }

    .header-text
    {
        font-size: 3vw;
        padding: 2.6vw;
    }

    .header-text span
    {
        font-size: 3.8vw;
    }

    .header-title, .header-logo
    {
        /* height: 10vw; */
    }

    h1
    {
        font-size: 60px;
    }

    h2
    {
        font-size: 44px;
    }

    main
    {
        font-size: 24px;
    }
}

@media (max-width: 800px) and (min-width: 601px)
{
    nav
    {
        font-size: 26px;
    }
}

@media (min-width: 601px)
{
	.mobile-only
	{
		display: none;
	}
}

@media (max-width: 600px)
{
    nav
    {
        font-size: 26px;
    }
    nav li
    {
        padding: 5px;
    }

	.desktop-only
	{
		display: none;
	}

    .special-desc
    {
        margin: 0px !important;
    }
}
